Subject: bug#36262: cannot install bootloader to root partition

From: Mark H Weaver <[email-masked]>
Date: Mon, 17 Jun 2019 18:59:45 -0400

Hi Tobias,

Tobias Geerinckx-Rice <[email-masked]> writes:

> [email-masked] wrote:
>> bug#36262: cannot install bootloader to root partition
>
> Installing GRUB to your root partition isn't supported, and should
> never be necessary anyway.
>
>> Hello! I was not able to install Guix having 2 partitions:
>> /dev/sda1 ext4 Linux filesystem
>> /dev/sda2 Linux Swap
>
> This is a strange partition layout; it's missing a ‘BIOS boot
> partition’ and can never work without forcing GRUB to do something it
> doesn't like to do.
>
> Did you create this layout manually?  If so, why?

FWIW, I used this partition layout for years, including on Guix systems,
and it worked fine.  Long ago, bootloaders were only able to access the
first 8 GB or so of the disk, because of limitations in the old INT 13h
BIOS interface.  Maybe this is still an issue on some ancient machines,
but I tend to use older hardware (my best laptop is ~11 years old, and
that's typical for me) and I've not had this issue in recent memory.

The only reason I started using a separate boot partition again is
because I now encrypt my root partition.

      Mark